<?php
include 'topo.php';

$msg = "";
$msgClass = "msgErro";
$titulo = "Clientes > Cadastrados > Alterar Senha";
$msg_ok = "Alterado com sucesso";
$msg_erro = "Erro ao alterar";
$nomeClasse = "cliente";

##########################
# carregar
##########################
$idP = $_REQUEST['id'];
if(isPost($idP)){
	$obj = new Cliente();
	$obj->id = $_REQUEST['id'];
	$obj->carregar();
}

##########################
# alterar senha
##########################
if($_POST['senhaAtual'] != "" && $_POST['senha1'] != "" && $_POST['senha2'] != ""){
	$senhaAtual = Cliente::trataSenha($_POST['senhaAtual']);
	if($senhaAtual['senhamd5'] == $obj->senha){
		if(Cliente::validaSenha($_POST['senha1'])){
			$senha1 = Cliente::trataSenha($_POST['senha1']);
			$senha2 = Cliente::trataSenha($_POST['senha2']);
			if($senha1['senhamd5'] == $senha2['senhamd5']){
				$obj->senha = $senha1['senhamd5'];
				if($obj->alterar()){
					$msg = 'Senha alterada com sucesso';
					$msgClass = 'msgSucesso';
				}
				else{
					$msg = 'Erro ao alterar senha';
				}
			}
			else{
				$msg = 'A repetição da senha não confere';
			}
		}
		else{
			$msg = 'Senha inválida';
		}
	}
	else{
		$msg = 'Senha atual não confere';
	}
}
?>

<h1><?=$titulo?></h1>

<div class="boxAcao">
	<ul>
		<li class="border-none"><a href="<?=URLADMIN?>cliente-alterar.php?id=<?=$obj->id?>" title="Voltar">> Voltar</a></li>
	</ul>
</div>

<?php include PATHADMIN.'msg.php'; ?>

<div class="boxForm">
	<div class="boxTitulo">Alterar Senha</div>
	<form name="form1" id="form1" action="" method="post">

		<div class="campo3"><label><b>Nome:</b></label><?=$_POST[$nomeClasse]['nome']?></div>
		<div class="campo3">
			<label for="senhaAtual">Senha Atual: <span>(*)</span></label>
			<input type="password" id="senhaAtual" name="senhaAtual" value="" req="1" class="width-auto" size="15" maxlength="10" />
		</div>
		<div class="campo3">
			<label for="senha1">Nova Senha: <span>(*)</span></label>
			<input type="password" id="senha1" name="senha1" value="" req="1" class="width-auto" size="15" maxlength="10" />
			<span class="dica">(até 10 caracteres)</span>
		</div>
		<div class="campo3">
			<label for="senha2">Nova Senha: <span>(*)</span></label>
			<input type="password" id="senha2" name="senha2" value="" req="1" class="width-auto" size="15" maxlength="10" />
			<span class="dica">(digitar novamente a senha)</span>
		</div>
		<div class="campo3 align-right">
			<span class="campo_obrigatorio">(*) Campos obrigatórios</span>
		</div>
		<div class="campo3 align-right">
			<input type="submit" class="botao" name="ok" value="Salvar" title="Salvar" validar="1" />
		</div>
		<input type="hidden" name="id" value="<?=$_REQUEST['id']?>" />
	</form>
</div>

<?php
include 'rodape.php';
?>